Bug 187965 - missing symlinks cairo-java jar and glib-java jar when running libgtk-java examples
missing symlinks cairo-java jar and glib-java jar when running libgtk-java ex...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cairo-java (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stepan Kasal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-04 18:29 EDT by Ben Konrath
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-05 16:31:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Konrath 2006-04-04 18:29:12 EDT
Description of problem:

There are missing symlinks to /usr/share/java/cairo1.0-1.0.2.jar and
/usr/share/java/glib0.2-0.2.3.jar which prevent the libgtk-java examples from
running.

Version-Release number of selected component (if applicable):

glib-java-0.2.3.0.20060301.rh1-1
cairo-java-1.0.2.0.20060301.rh1-0

How reproducible:

always

Steps to Reproduce:
1. cp -r /usr/share/doc/libgtk-java-2.8.3.0.20060301.rh1/examples ~
2. cd ~/examples
3. ./runExample.sh aboutdialog/AboutDialogExample 

Actual results:

The last command will give you an error. After you fix the cairo symlink, you
will get a glib symlink problem.

Expected results:

The tests should run without error.
Comment 1 Stepan Kasal 2007-11-05 16:31:34 EST
The above scenarion works OK with my current rawhide install (which is about to
become Fedora 8 in a few days).

Note You need to log in before you can comment on or make changes to this bug.